--- title: "Get department list" slug: "mediaconnectcenter-deptslistview" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/mediaconnectcenter-deptslistview" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get department list Available in Classic and VPC Get the department list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /ncloudmcc/v1/companies/{companyId}/depts | ### Request headers For information about the headers common to all Media Connect Center APIs, see [Media Connect Center request headers](/docs/en/mediaconnectcenter-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `companyId` | String | Required | Integration key - Check from console: **Media Connect Center > Developers > Basic settings > Integration key** | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `limit` | Number | Optional | Maximum item count of query data - Default: 10 | | `offset` | Number | Optional | Start location of query data - Default: 0 | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloudmcc.apigw.ntruss.com/ncloudmcc/v1/companies/2b64fc1e-6e9c-40dc-8b40-991bcaada5ef/depts' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Object | - | Page information | | `page.count` | Number | - | Number of response results | | `page.offset` | Number | - | Start location of query data | | `page.limit` | Number | - | Maximum item count of query data | | `page.total` | Number | - | Total response count | | `depts` | Array | - | Department list: [depts](/docs/en/mediaconnectcenter-deptslistview#depts) | #### `depts` The following describes `depts`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `uprDeptExternalKey` | String | - | Parent department external key - If there is no top-level code, it is displayed as `null`. | | `name` | String | - | Department name | | `i18nNames` | Object | - | Department multilingual name | | `i18nNames.{locale}` | String | - | Department name by language - `"Language code": "Value"` format - Display the registered value among Korean, English, and Japanese. | | `sortOrd` | Number | - | Query display order | | `externalKey` | String | - | External department key | ### Response status codes For information about the HTTP status codes common to all Media Connect Center APIs, see [Media Connect Center response status codes](/docs/en/mediaconnectcenter-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "page": { "count": 4, "offset": 0, "limit": 10, "total": 4 }, "depts": [ { "uprDeptExternalKey": null, "name": "Manual Content Development Co., Ltd.", "i18nNames": { "ko_KR": "매뉴얼콘텐츠개발 주식회사" }, "sortOrd": 1, "externalKey": "" }, { "uprDeptExternalKey": null, "name": "Content Development Group", "i18nNames": {}, "sortOrd": 0, "externalKey": "hg-tw" }, { "uprDeptExternalKey": "hg-tw", "name": "Content Development Team", "i18nNames": { "ko_KR": "콘텐츠개발팀", "en_US": "Contents Dev. Team" }, "sortOrd": 0, "externalKey": "hg-tw-cd" }, { "uprDeptExternalKey": "hg-tw", "name": "Manual Development Team", "i18nNames": { "ko_KR": "매뉴얼개발팀", "en_US": "Manual Dev. Team" }, "sortOrd": 1, "externalKey": "hg-tw-md" } ] } ```